net.corda.core.crypto

## Class MerkleTree.Leaf

- MerkleTree
- - net.corda.core.crypto.MerkleTree.Leaf

- Enclosing class:
    MerkleTree

      public static class MerkleTree.Leaf
      extends MerkleTree

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.core.crypto.MerkleTree

      `MerkleTree.Companion, MerkleTree.Leaf, MerkleTree.Node`

  - ### Field Summary

    - ### Fields inherited from class net.corda.core.crypto.MerkleTree

      `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Leaf(SecureHash value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecureHash` | `getValue()`

    - ### Methods inherited from class net.corda.core.crypto.MerkleTree

      `getHash`

- - ### Constructor Detail

    - #### Leaf

          public Leaf(SecureHash value)

  - ### Method Detail

    - #### getValue

          public SecureHash getValue()